Bug 697895 - If grep is coloured, egrep and fgrep should be as well
Summary: If grep is coloured, egrep and fgrep should be as well
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grep
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-19 15:08 UTC by Tom Hughes
Modified: 2011-05-25 03:12 UTC (History)
2 users (show)

Fixed In Version: grep-2.8-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 04:48:09 UTC
Type: ---


Attachments (Terms of Use)
Patch to color egrep and fgrep output (269 bytes, patch)
2011-04-19 15:08 UTC, Tom Hughes
no flags Details | Diff

Description Tom Hughes 2011-04-19 15:08:40 UTC
Created attachment 493214 [details]
Patch to color egrep and fgrep output

Description of problem:

The output of grep is now coloured by default, but egrep and fgrep are not.

Version-Release number of selected component (if applicable):

grep-2.7-2.fc14.x86_64

Comment 1 Jaroslav Škarvada 2011-05-16 12:16:12 UTC
Thanks, it makes sense.

Comment 2 Fedora Update System 2011-05-16 12:29:29 UTC
grep-2.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/grep-2.8-2.fc15

Comment 3 Fedora Update System 2011-05-16 20:41:49 UTC
grep-2.8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/grep-2.8-1.fc14

Comment 4 Fedora Update System 2011-05-17 00:51:00 UTC
Package grep-2.8-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grep-2.8-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/grep-2.8-1.fc14
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-19 04:48:00 UTC
grep-2.8-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-05-25 03:12:23 UTC
grep-2.8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.